var global = require('./global');
var _ = require('lodash');

var history = {

    add: function(root) {
        var data = global.get('history')||[];
        data.unshift(root);

        global.set('history', _.uniq(data, function(item){
            return item.root;
        }));
    },

    remove: function(root) {
        var data = global.get('history')||[];
        global.set('history', _.filter(data, function(item){
            return item.root !== root;
        }));
    },

    get: function () {
        return global.get('history') || [];
    }
};

module.exports = history;