var request = require('request');

exports.getInfo = function(name, cb) {

    request.get('http://registry.npmjs.org/' + name, function (error, response, body) {

        if (error) {
            cb(error);
            return;
        }

        var info;

        try {
            info = JSON.parse(body);
        } catch(ex) {
            cb(new Error('JSON parse error!'));
            return;
        }

        cb(null, info);
    });
}