function AppUpdateCtrl($scope, socket, navbar, $timeout) {
    navbar.active('update');
    $scope.title = '升级 ABC';
    socket.init();

    socket.on('appInfo', function(data) {
        $scope.pkg = data.pkg;
    });

    socket.emit('appInfo');

    function restart() {
        $scope.restartCount = 3;

        socket.emit('restart');


        $timeout(function count(){
            $scope.restartCount -= 1;
            if ($scope.restartCount > 0) {
                $timeout(count, 1000);
                return;
            }

            location.reload();

        }, 1000);
    }

    $scope.updateCore = function(){
        socket.emit('update:core', function() {
            restart();

        });
    };

    $scope.restartServer = function() {
        restart();
    }
}