function CreateCtrl ($scope, socket, $location, navbar) {

    socket.init($scope);
    navbar.active('create');

    $scope.title = 'new Project';
    $scope.root = $location.search().root;

    $scope.selected = $location.search().type;

    socket.emit('generators:list');

    socket.on('generator:list', function (generators) {
        $scope.generators = generators;
    });

    $scope.yeoman = function (type) {
        type = type || $scope.selected;

        if (!type) {
            alert('no type');
            return;
        }

        $location.url('/yeoman');

        $location.search({
            root: $scope.root,
            type: type
        });

        $location.replace();

    };

    $scope.choose = function(item) {
        $scope.selected = item.name;
    }
}