function GeneratorCtrl($scope, socket, navbar) {
    socket.init($scope);
    navbar.active('generator');
    $scope.title = '目录规范管理';
    $scope.showGM = false;

    function refresh() {
        socket.emit('generators', function (generators) {
            $scope.generators = generators;
        });
    }

    refresh();


    socket.on('generator:stdout', function(log){
        $scope.GM.log += log;
    });

    $scope.GM = {
        install: function(generator) {
            generator.loading = true;
            socket.emit('generator:install', generator.name, function (err) {
                generator.loading = false;

                if (!err) {
                    refresh()
                }
            });

        },

        update: function(generator) {
            generator.loading = true;
            socket.emit('generator:install', generator.name, function (err) {
                generator.loading = false;

                if (!err) {
                    refresh();
                }
            });
        }
    };
}