function HomeCtrl($scope, socket, $location, navbar) {
    socket.init($scope);
    navbar.active('home');

    $scope.title = 'ABC Home';
    $scope.root = '';
    $scope.history = [];

    $scope.cdTo = function () {
        $location.url('/project?root=' + $scope.root);
    };

    socket.emit('history');

    socket.on('history', function (data) {
        $scope.history = data;
    });

    $scope.rmHistory = function (root) {
        socket.emit('history:rm', root);
        socket.emit('history');
    };
}