function YeomanCtrl($scope, socket, $location, yeoman, $timeout) {
    $scope.title = '目录规范管理';
    socket.init($scope);
    yeoman.init($scope, socket);

    var search = $location.search();

    $scope.root = search.root;
    $scope.type = search.type;
    $scope.sub = search.sub;
    $scope.info = {};

    $scope.status = [];

    socket.emit('init', {
        root: $scope.root,
        type: $scope.type
    });
    socket.on('yeoman:end', function(err) {

        $scope.runEnd = true;

        if (err) {
            return;
        }

        $timeout(function(){
            $location.search({
                root: $scope.root
            });

            $location.path('/project');
            $location.replace();

        }, 1000);
    });
}